<?php

namespace Schaffen\ServiceOrder\ServiceOrder\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Person\Models\Person;
use Schaffen\Core\Person\Traits\HasPerson;
use Schaffen\ServiceOrder\ServiceOrder\Traits\HasServiceOrder;

class ServiceOrderResource extends Model
{

   use HasPerson, HasServiceOrder;

   const CREATED_AT = "osr_date_insert";
   const CREATED_BY = "osr_user_insert";
   const UPDATED_AT = "osr_date_update";
   const UPDATED_BY = "osr_user_update";
   public $prefix = 'osr';
   protected $table = "os.os_recursos";
   protected $primaryKey = "osr_codigo";
   protected $fillable = [
      "osr_fk_vendedor_codigo",
      "osr_fk_os_codigo",
      "osr_percentual_comissao_produto",
      "osr_percentual_comissao_servico"
   ];

   public function person()
   {
      return $this->belongsTo(Person::class, 'osr_fk_vendedor_codigo', 'pes_codigo');
   }

   public function seller()
   {
      return $this->person();
   }

}
