<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\ServiceOrder\ServiceOrder\Services;


use Schaffen\ServiceOrder\ServiceOrder\Repositories\ServiceOrderItemResourcesRepository;

class RemoveServiceOrderItemResources
{


   /**
    * @var ServiceOrderItemResourcesRepository
    */
   private ServiceOrderItemResourcesRepository $service_order_item_resources_repository;

   public function __construct(ServiceOrderItemResourcesRepository $service_order_item_resources_repository)
   {

      $this->service_order_item_resources_repository = $service_order_item_resources_repository;
   }

   public function removeResources($resources_to_delete)
   {
      foreach ($resources_to_delete as $resource) {
         $this->service_order_item_resources_repository->destroy($resource->osr_codigo);
      }
   }

   public function removeByItem($service_order_item_id){
      $item_resources = $this->service_order_item_resources_repository->list(["ospsr_fk_osps_codigo" => $service_order_item_id]);
      //dump($item_resources);
      $this->removeResources($item_resources->pluck('ospsr_codigo'));

   }
}
